Subject: [EAI] EDITORIAL: smtpext sections

From: John C Klensin <[email-masked]>
Date: Fri, 21 Sep 2007 17:27:04 -0400

Hi.

In recent months, I have read the smtpext document for technical
content, ignoring editorial issues.  

After reading it carefully as part of the WG Last Call, and
independent of editorial nit-picking, I believe that

	(1) Section 3.1 (POP and IMAP) should be dropped.  This
	is covered in Framework (RFC 4952 here and below).  The
	text in this document adds nothing and is confusing
	about document scope.
	
	(2) Section 4 (Potential problems) should be dropped.
	This is covered in Framework.  If it is not adequate
	there, we should revise Framework, not try to insert
	these types of comment in this document, where it
	appears to be out of scope.
	
	(3) While I am less convinced about this that about the
	above two, I also believe that Sections 3.1 (LMTP) and
	3.2 (DSNs) should be dropped, hence removing all of
	Section 3.  The section doesn't fit naturally here; if
	it is necessary and not adequately covered in Framework,
	we should either replace Framework or move this material
	to an appendix to this document that is explicitly
	indicated as Updating RFC 4952.

I hope the WG concurs with these unfortunately late
organizational suggestions.

      john

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima

---

From: Alexey Melnikov <[email-masked]>
Date: Sun, 23 Sep 2007 15:25:35 +0100

>	text in this document adds nothing and is confusing
Agree.

>	appears to be out of scope.
Agree.

>	Section 3.
I frankly don't understand why we have section 3.1 (LMTP). I thought I 
line sentence saying that this extension is also applicable to LMTP 
would be much better.

I disagree about removed of section 3.2 (DSN). The requirement that a 
system that implements both UTF8SMTP and DSN extensions must also 
implement EAI-dsn is important. However I have no problems with moving 
this text within the document.

>The section doesn't fit naturally here; if

---

From: Alexey Melnikov <[email-masked]>
Date: Sun, 23 Sep 2007 15:31:58 +0100

> line sentence saying that this extension is also applicable to LMTP 

I should have reread the section 3.1 before saying that. It actually 
says something else - "if your LMTP is not updated to support UTF8SMTP, 
then you might have a problem". What I've suggested above is in addition 
to this.

I don't have a strong feeling on whether section 3.1 should stay or be 
removed. I slightly prefer to keep it.

---

From: "Charles Lindsey" <[email-masked]>
Date: Mon, 24 Sep 2007 14:09:26 +0100

>> line sentence saying that this extension is also applicable to LMTP  

+1. The smtpext draft must be clear that it updates both SMTP and LMTP (if  
there is some specific feature of LMTP where that would not apply, then  
let us hear about it).
> then you might have a problem". What I've suggested above is in addition  

By all means.
> removed. I slightly prefer to keep it.

So long as it is said somewhere, it doesn't need to be section 3.1.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131                       
   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5